| Home | Libraries | People | FAQ | More

## Macro BOOST_UNITS_DEFINE_CONVERSION_FACTOR

BOOST_UNITS_DEFINE_CONVERSION_FACTOR

## Synopsis

    // In header: <boost/units/conversion.hpp>

    BOOST_UNITS_DEFINE_CONVERSION_FACTOR(Source, Destination, type_, value_)

## Description

Defines the conversion factor from a base unit to any unit or to another base unit with the correct dimensions. Uses of this macro must appear at global scope. If the destination unit is a base unit or a unit that contains only one base unit which is raised to the first power (e.g. feet->meters) the reverse (meters->feet in this example) need not be defined explicitly.